%define filename	libvdpau-va-gl

Summary:	VDPAU driver with OpenGL/VAAPI back-end
Name:		vaapi-driver-va-gl
Version:	0.3.4
Release:	%mkrel 1
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		https://github.com/i-rinat/libvdpau-va-gl
Source:		https://github.com/i-rinat/libvdpau-va-gl/archive/%{filename}/%{filename}-%{version}.tar.xz
BuildRequires:	libva-devel >= 1.6.0
Provides:	%{filename} = %{version}-%{release}
Requires: vaapi-driver-intel

%description
VDPAU driver with OpenGL/VAAPI back-end.

%prep
%setup -q -n %{filename}-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DLIB_INSTALL_DIR=%{_libdir}/vdpau \

%make

%install
rm -rf %buildroot
%make_install -C build

rm -f %{buildroot}%{_libdir}/dri/*.la

#This should automatically enable vdpau backend on intel i965
#But xf86-intel doesn't want't to apply
#http://lists.freedesktop.org/archives/intel-gfx/2013-August/031872.html
ln -s libvdpau_va_gl.so.1 %{buildroot}/%{_libdir}/vdpau/libvdpau_i965.so.1

%files
%doc ChangeLog COPYING* README.md
%{_libdir}/vdpau/libvdpau_va_gl.so.1
%{_libdir}/vdpau/libvdpau_i965.so.1
%{_libdir}/vdpau/libvdpau_va_gl.so


%changelog
* Sat Jun 11 2016 bb <bb> 0.3.4-1pclos2016
- update

